Subject: bug#28236: 'configure --with-cairo' causes 'emacs -font' to fail

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Aug 2017 10:24:30 +0300

> From: [email-masked]
> Date: Fri, 25 Aug 2017 22:57:59 +0300
> 
> I've been checking out the master branch periodically for quite a while but never
> configured it with cairo.
> Today I gave it a try, appending the option to my regular option list, as below.
> 
> $ git show HEAD
> commit 579890f1c7703cd8ecfe2e56f52cc06fcd1b2442
> Author: Eli Zaretskii <[email-masked]>
> Date:   Fri Aug 25 18:01:19 2017 +0300
> 
>   bash# ./configure --with-xft --with-x-toolkit=lucid --with-dbus \
>                     --with-cairo && make ...
>   => ... [ ok ]
> The resulted executable complains about a font that otherwise
> "orthodoxically" built one never has done (as the font really exists,
>  which xlsfonts double-proves:
> 
>   bash# xlsfonts | grep 7x14
>   =>7x14
> ).
> 
>   bash# src/emacs -Q -font 7x14
>   => Font ‘7x14’ is not defined
> 
> This effect is observed in earlier commits as well. (I first suspected the
> failure was introduced by a commit in the range started from my last
> pull (about two weeks ago)).
> 
> I've not investigated any further, still hope this report is not in
> vain.

Thanks.  Unfortunately, we don't have Cairo experts on board, and
we've accumulated several known issues with that configuration.  This
is why the configure script says

   --with-cairo            compile with Cairo drawing (experimental)
                                                       ^^^^^^^^^^^^